aboutsummaryrefslogtreecommitdiff
path: root/snag/scripts/run_pkg_install.sh
diff options
context:
space:
mode:
authorJack Jamison <jackqjamison@gmail.com>2026-07-22 09:09:18 -0400
committerJack Jamison <jackqjamison@gmail.com>2026-07-22 09:09:18 -0400
commit5365f8fa8d6ebfbf3ba92816abe55a99feff6f25 (patch)
tree563605dabaf611ebb0c1ee1b65aa56690b01b4fd /snag/scripts/run_pkg_install.sh
parent165816f7854340c3ca09287aee66968777af61ad (diff)
clean up
Diffstat (limited to 'snag/scripts/run_pkg_install.sh')
-rwxr-xr-xsnag/scripts/run_pkg_install.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/snag/scripts/run_pkg_install.sh b/snag/scripts/run_pkg_install.sh
new file mode 100755
index 0000000..d48d831
--- /dev/null
+++ b/snag/scripts/run_pkg_install.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# reads a package description script and runs the configure, build, and install
+# steps. intended only for use by snag program
+if [ -z "$1" ]; then
+ echo "Usage: $0 <description script>" >&2
+ exit 1
+fi
+
+# load the description script
+. $1
+
+# run all install steps for package
+configure
+build
+install